@media screen {

  body {
    background: var(--bgLight);
    margin: 0;
    color: var(--internalInteraction);
    scrollbar-width: none;
    -ms-overflow-style: none;
    background-image: repeating-linear-gradient(0deg, var(--bgLines), var(--bgLines) 1px, transparent 1px, transparent 4px);

  }

  * {
    box-sizing: border-box;
    /* border: 1px solid red; */
  }

  ::-webkit-scrollbar {
    display: none;
    /* Chrome, Safari und Opera */
  }

  ::selection {
    background: var(--internalLink);
    color: var(--bgLight);
  }

  #mainContainer {
    display: flex;
    justify-content: space-between;
    gap: var(--gapSmaller);
    margin: 0;
    padding: 0 var(--gapSmaller);
    height: 100vh;
    width: 100%;
    position: relative;
    z-index: 1;
  }

  #midContainer {
    flex: 1;
    background-clip: content-box;
    overflow-y: scroll;
    overflow-x: hidden;
    scrollbar-width: none;
    background-color: var(--bg);
  }


  /* Fullscreen specific styles */
  #mainContainer:fullscreen {
    background-color: var(--color-4);
  }

  #mainContainer:fullscreen #sidebar {
    display: none !important;
  }

  #mainContainer:fullscreen #midContainer {
    margin: 0;
    padding-top: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
  }

  .pagedjs_page {
    scroll-margin-top: var(--gapSmall);

  }
}


.internalLink {
  /* font-family: "Graebenbach Mono Regular", monospace; */
  text-decoration: underline dotted;
  /* border-bottom: var(--lineWeight) solid var(--internalLink); */
  /* padding: 0 var(--gapSmallest); */
  /* transform: translate(0px, 2px); */
  color: var(--internalLink);
  display: inline;
  overflow-wrap: break-word;
  /* text-decoration: none; */
}

.internalLink:hover {
  background-color: var(--internalLink);
  color: var(--bgLight);
  text-decoration: none;
}

.linkInactive {
  opacity: 0.6;
  cursor: not-allowed;
}

.externalLink {
  text-decoration: underline dotted;
  color: inherit;
  display: inline;
  overflow-wrap: break-word;
}

.externalLink:hover {
  background-color: var(--externalLink);
  color: var(--bgLight);
  text-decoration: none;
}

.content-meta {
  padding-left: var(--gapSmall);
  border-left: var(--lineWeight) dashed var(--internalInteraction);
  border-bottom: var(--lineWeight) dashed var(--internalInteraction);
  margin: var(--gap) 0;
}

.content-tags,
.content-backlinks,
#url {
  display: grid;
  grid-template-columns: 120px 1fr;
  align-items: start;
  gap: var(--gapSmaller);
  padding-bottom: var(--gapSmaller);
}

.meta-content-wrapper {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: var(--gapSmallest) var(--gapSmaller);
}

.content-tag {
  display: flex;
  align-items: center;
  /* background-color: var(--internalLink); */
  color: var(--internalLink);
  /* padding: 0 var(--gapSmallest); */
  /* gap: var(--gapSmallest); */
  cursor: pointer;
  margin: 0;
}

.content-tag p,
.content-backlinks p,
#url p {
  font: inherit !important;
  max-width: inherit !important;
  margin: 0 !important;
  color: inherit !important;
}

.content-tag svg {
  margin-left: .5em;
  height: 1.2em;
  aspect-ratio: 1 / 1;
  fill: currentColor;
  flex-shrink: 0;
}

.content-tag:hover {
  color: var(--internalLink);
  background-color: var(--bgLight);
}





/* Carbon Icons Configuration */
.i {
  width: var(--i-size, 16px);
  height: var(--i-size, 16px);
  fill: currentColor;
  flex-shrink: 0;
}

/* Global Content Styling (applies across View Modes) */
#content {
  color: var(--internalInteraction);
  font-family: "Ease Standard Regular", sans-serif;
  line-height: 140%;
}

#content p,
#content li,
#content td,
#content th,
#content figcaption,
#content blockquote,
#content span,
#content a,
#content div {
  font-family: "Ease Standard Regular", sans-serif;
}

#content p strong {
  font-family: "Ease Standard Bold", sans-serif;
  font-weight: 300;
}

#content h1,
#content h2,
#content h3,
#content h4,
#content h5,
#content h6 {
  font-family: "Ease Display Regular", sans-serif;
  font-weight: 300;
  line-height: 100%;

  margin: var(--gapSmallest) 0 var(--gapSmall) 0;
  scroll-margin-top: var(--gap);
}

/* #content p:not(:has(img)) {
  max-width: 600px;
  margin-bottom: var(--gapSmall);
} */

#content code {
  font-family: "Ease Standard Regular", sans-serif;
  padding: 0 4px;
  border-radius: 3px;
}

#content pre {
  padding: var(--gapSmall);
  border-radius: 5px;
  overflow-x: auto;
  margin: var(--gapSmaller) 0;
}

#content pre code {
  display: block;
  padding: 0;
  background: transparent;
  white-space: pre;
}

#content hr {
  display: none;
}

#content ol,
#content ul {
  padding: var(--gapSmaller) var(--gapSmall);
}

#content li {
  margin-bottom: var(--gapSmaller);
}

/* #content li p,
#content li p:not(:has(img)) {
  margin: 0;
} */